Create a gist now

Instantly share code, notes, and snippets.

Gemfile
source :rubygems
# Project requirements
gem 'rake'
gem "sass"
gem 'sinatra-flash', :require => 'sinatra/flash'
gem 'thin' # or mongrel
# Component requirements
gem 'haml'
gem 'activerecord', :require => "active_record"
gem 'activerecord', :require => "active_record"
# gem 'sqlite3-ruby', :require => "sqlite3"
gem 'mysql2'
# Test requirements
gem 'rspec', :group => "test"
gem 'rspec-padrino', :group => "test"
#gem 'rspec', :require => "spec", :group => "production"
gem 'capybara', :group => "test"
gem 'cucumber', :group => "test"
gem 'rack-test', :require => 'rack/test', :group => 'test'
# Padrino
gem 'padrino', "0.10.5"
# houstonsos.org requirement
gem 'kramdown'
#debugger
# gem 'ruby-debug-base19', :group => "development"
gem "pry", :group => 'test'
gem "pry-doc", :group => 'test'
gem "pry_debug", :group => 'test'
gem "ruby-debug19", :group => 'test'
#deploy requirements
gem "warbler"#, "1.2.1" #for jruby
gem "jdbc-mysql"
#### THIS SUCKS, I HAVE TO MANUALLY SPECIFY the GEM DEPENDENCIES
gem "bundler"
gem "archive-tar-minitar", "0.5.2"
gem "nokogiri"
gem "ffi"
gem "childprocess"
gem "selenium-webdriver"
gem "xpath"
gem "capybara"
gem "coderay"
gem "columnize"
gem "json"
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment